org.restlet.ext.slf4j

## Class Slf4jLoggerFacade

- java.lang.Object
- - org.restlet.engine.log.LoggerFacade
  - - org.restlet.ext.slf4j.Slf4jLoggerFacade

    public class Slf4jLoggerFacade
    extends LoggerFacade

Restlet log facade for the SLF4J `LoggerFactory`. In order to use SLF4J as the logging facade for Restlet, you need to set the "org.restlet.engine.loggerFacadeClass" system property with the "org.restlet.ext.slf4j.Slf4jLoggerFacade" value.

Author:
  Jerome Louvel
See Also:
  `Slf4jLogger`

### Constructor Summary

Constructors
Constructor and Description
`Slf4jLoggerFacade()`

### Method Summary

Methods
`java.util.logging.Logger` `getAnonymousLogger()` Returns an instance of `Slf4jLogger`, wrapping the result of `LoggerFactory.getLogger(String)` where the logger name is "".
`java.util.logging.Logger` `getLogger(java.lang.String loggerName)` Returns an instance of `Slf4jLogger`, wrapping the result of `LoggerFactory.getLogger(String)` with the logger name.

### Methods inherited from class org.restlet.engine.log.LoggerFacade

`getLogger, getLogger, getLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Slf4jLoggerFacade

    public Slf4jLoggerFacade()

### Method Detail

#### getAnonymousLogger

    public java.util.logging.Logger getAnonymousLogger()

Returns an instance of `Slf4jLogger`, wrapping the result of `LoggerFactory.getLogger(String)` where the logger name is "".

Overrides:
  `getAnonymousLogger` in class `LoggerFacade`
Returns:
  An anonymous logger.

#### getLogger

    public java.util.logging.Logger getLogger(java.lang.String loggerName)

Returns an instance of `Slf4jLogger`, wrapping the result of `LoggerFactory.getLogger(String)` with the logger name.

Overrides:
  `getLogger` in class `LoggerFacade`
Parameters:
  `loggerName` - The logger name.
Returns:
  An anonymous logger.